/*
**	termProtos.h
**
**	Global function prototype definitions
**
**	Copyright  1990-1993 by Olaf `Olsen' Barthel & MXM
**		All Rights Reserved
*/

	/* CapturePanel.c */

BYTE				CapturePanel(struct Configuration *,BYTE *);

	/* ClipPanel.c */

BYTE				ClipPanel(struct Configuration *,BYTE *);

	/* CommandPanel.c */

BYTE				CommandPanel(struct Configuration *,BYTE *);

	/* CopyPanel.c */

BYTE				CopyPanel(struct Configuration *,BYTE);

	/* CursorPanel.c */

VOID				CursorPanel(struct CursorKeys *);

	/* DatePanel.c */

BYTE				DatePanel(struct TimeDateNode *);

	/* DayPanel.c */

BYTE				DayPanel(struct TimeDateNode *);

	/* EmulationPanel.c */

BYTE				EmulationPanel(struct Configuration *,BYTE *);

	/* FastMacroPanel.c */

VOID				FastMacroPanel(VOID);

	/* HotkeyPanel.c */

BYTE				HotkeyPanel(struct Hotkeys *);

	/* ImportPanel.c */

BYTE				ImportPanel(struct PhoneEntry *,struct List *);

	/* MacroPanel.c */

VOID				MacroPanel(struct MacroKeys *);

	/* MiscPanel.c */

BYTE				MiscPanel(struct Configuration *,BYTE *);

	/* ModemPanel.c */

BYTE				ModemPanel(struct Configuration *,BYTE *);

	/* PasswordUserPanel.c */

BYTE				PasswordUserPanel(struct PhoneEntry *);

	/* PathPanel.c */

BYTE				PathPanel(struct Configuration *,BYTE *);

	/* PhonePanel.c */

BYTE				PhonePanel(VOID);

	/* PrintPanel.c */

VOID				PrintPanel(struct Window *,struct List *,LONG);

	/* RatePanel.c */

BYTE				RatePanel(struct List *,struct PhoneEntry *);

	/* ScreenPanel.c */

BYTE				ScreenPanel(struct Configuration *,BYTE *);

	/* SerialPanel.c */

BYTE				SerialPanel(struct Configuration *,BYTE *);

	/* SpeechPanel.c */

VOID				SpeechPanel(VOID);

	/* TerminalPanel.c */

BYTE				TerminalPanel(struct Configuration *,BYTE *);

	/* TimePanel.c */

BYTE				TimePanel(STRPTR);

	/* TransferPanel.c */

VOID				GhostStats(struct Gadget *);
VOID				ShowStats(struct Gadget *,LONG,LONG);
VOID __stdargs			ShowString(struct Gadget *,STRPTR,...);
VOID __stdargs			AddTransferInfo(STRPTR,...);
VOID				RefreshTransferWindow(VOID);
BYTE				TransferPanel(STRPTR);
VOID				DeleteTransferPanel(BYTE);

	/* TranslationPanel.c */

BYTE				TranslationPanel(VOID);

	/* UploadPanel.c */

BYTE				UploadPanel(VOID);

	/* termAmigaGuide.c */

VOID				GuideCleanup(VOID);
VOID				GuideContext(LONG);
VOID				GuideSetup(VOID);
VOID				GuideDisplay(LONG);

	/* termARexx.c */

VOID __saveds			RexxServer(VOID);
BYTE				HandleRexx(VOID);

	/* termAudio.c */

BYTE				CreateBeep(VOID);
VOID				DeleteBeep(VOID);
VOID				ClearAudio(VOID);
VOID				Beep(VOID);
BYTE				OpenSound(STRPTR);

	/* termAux.c */

BYTE __regargs			GetPubScreenName(struct Screen *,STRPTR);
VOID __regargs			InitSinglePort(struct MsgPort *);
BYTE __regargs			GoodStream(BPTR);
struct DiskObject *		GetProgramIcon(VOID);
LONG __regargs			GetPenIndex(LONG);
LONG __regargs			GetScreenWidth(struct Window *);
LONG __regargs			GetScreenHeight(struct Window *);
LONG __regargs			GetScreenLeft(struct Window *);
LONG __regargs			GetScreenTop(struct Window *);

ULONG __regargs			OldGetAPen(struct RastPort *);
ULONG __regargs			OldGetBPen(struct RastPort *);
ULONG __regargs			OldGetDrMd(struct RastPort *);
ULONG __regargs			OldSetWrMsk(struct RastPort *,ULONG);

ULONG __regargs			NewGetAPen(struct RastPort *);
ULONG __regargs			NewGetBPen(struct RastPort *);
ULONG __regargs			NewGetDrMd(struct RastPort *);
ULONG __regargs			NewSetWrMsk(struct RastPort *,ULONG);

VOID				SetWait(struct Window *);
VOID				ClrWait(struct Window *);
STRPTR				GetModeName(ULONG);
BYTE __regargs			ModeOkay(ULONG);
VOID				SetRedialMenu(VOID);
VOID				SetDialMenu(BYTE);
VOID				SetTransferMenu(BYTE);
VOID				SetRasterMenu(BYTE);
BYTE				PickFont(struct Window *,STRPTR,WORD *,BYTE);
STRPTR __regargs		ExtractString(STRPTR,STRPTR,BYTE);
LONG				GetListSize(struct List *);
struct Node *			GetListNode(LONG,struct List *);
struct ConUnit *		GetConUnit(struct MsgPort *);
VOID				AddDownloadObject(STRPTR);
VOID				ClearDownloadObjects(VOID);
struct ScanNode *		SequenceFilter(UBYTE);
VOID				AddSequenceObject(STRPTR);
VOID				ClearSequenceObjects(VOID);
VOID __stdargs			LogAction(STRPTR,...);
VOID				FlushMsg(struct Window *);
BYTE				GetString(BYTE,BYTE,WORD,STRPTR,STRPTR);
VOID __regargs			WakeUp(struct Window *);
VOID				SendAmigaDOSCommand(STRPTR);
VOID				SendARexxCommand(STRPTR);
VOID __regargs			BlockWindow(struct Window *);
VOID __regargs			ReleaseWindow(struct Window *);
VOID				BlockWindows(VOID);
VOID				ReleaseWindows(VOID);
LONG				LineRead(BPTR,STRPTR,LONG);
LONG				GetBaudRate(STRPTR);
struct MenuItem *		FindThisItem(struct Menu *,ULONG);
BYTE __regargs			GetItem(ULONG);
VOID				SetItem(ULONG,BYTE);
LONG				GetFileSize(STRPTR);
struct FileRequester *		GetFile(STRPTR,STRPTR,STRPTR,STRPTR,STRPTR,BYTE,BYTE,BYTE,STRPTR);
WORD __stdargs			MyEasyRequest(struct Window *,STRPTR,STRPTR,...);
VOID				SelectTime(struct PhoneEntry *);
VOID				CloseWindowSafely(struct Window *);
VOID				WaitTime(LONG,LONG);
STRPTR				GetEnvDOS(STRPTR,STRPTR);
BYTE				SetEnvDOS(STRPTR,STRPTR);
VOID				BumpWindow(struct Window *);
VOID				PushWindow(struct Window *);
VOID				PopWindow(VOID);
BYTE				LoadMacros(STRPTR,struct MacroKeys *);
BYTE				WriteIFFData(STRPTR,APTR,LONG,ULONG);
BYTE				ReadIFFData(STRPTR,APTR,LONG,ULONG);

	/* termBuffer.c */

VOID __regargs			StoreBuffer(register STRPTR,register LONG);
VOID				DeleteBuffer(VOID);
BYTE				CreateBuffer(VOID);
VOID				FreeBuffer(VOID);
struct SearchInfo * __regargs	CreateSearchInfo(STRPTR);
VOID __regargs			DeleteSearchInfo(struct SearchInfo *);
LONG __regargs			SearchTextBuffer(struct SearchInfo *);

	/* termCall.c */

VOID				MakeCall(STRPTR,STRPTR);
VOID				StopCall(BYTE);

	/* termCapture.c */

VOID __regargs			Capture(APTR,LONG);
VOID				ClosePrinterCapture(BYTE);
BYTE				OpenPrinterCapture(BYTE);
VOID				CloseFileCapture(VOID);
BYTE				OpenFileCapture(VOID);
VOID __regargs			CaptureToFile(APTR,LONG);

	/* termClip.c */

VOID __saveds			ClipServer(VOID);
VOID				CloseClip(VOID);
WORD				GetClip(STRPTR,WORD,BYTE);
BYTE				OpenClip(LONG);
BYTE				SaveClip(STRPTR,LONG);
LONG				LoadClip(STRPTR,LONG);

	/* termConfig.c */

VOID				ResetConfig(struct Configuration *,STRPTR);
VOID				DeleteConfigEntry(struct Configuration *,BYTE);
VOID				ResetConfigEntry(struct Configuration *,BYTE,BYTE);
APTR				GetConfigEntry(struct Configuration *,BYTE);
BYTE				CreateConfigEntry(struct Configuration *,BYTE);
VOID				DeleteConfiguration(struct Configuration *);
struct Configuration *		CreateConfiguration(BYTE);
VOID				SaveConfig(struct Configuration *,struct Configuration *);
VOID				UpdateConfig(struct Configuration *,struct Configuration *);
VOID				SwapConfig(struct Configuration *,struct Configuration *);
BYTE				SavePhonebook(STRPTR);
BYTE				LoadPhonebook(STRPTR);
BYTE				WriteConfig(STRPTR,struct Configuration *);
BYTE				ReadConfig(STRPTR,struct Configuration *);

	/* termConsole.c */

VOID				ConOutputUpdate(VOID);
VOID				ConFontScaleUpdate(VOID);
VOID __regargs			ConTransWrite(STRPTR,LONG);
VOID				FlowInit(BYTE);
VOID __regargs			CaptureToFile(APTR,LONG);
VOID __regargs			Capture(APTR,LONG);
VOID				ClosePrinterCapture(BYTE);
BYTE				OpenPrinterCapture(BYTE);
BYTE __regargs			HandleCursor(UBYTE,ULONG);
UBYTE __regargs			KeyConvert(struct IntuiMessage *,STRPTR,LONG *);
VOID __regargs			GfxText(struct RastPort *,STRPTR,LONG);
VOID __regargs			ConProcessDataTransExternal(register STRPTR,register LONG);
VOID __regargs			ConProcessDataExternal(register STRPTR,register LONG);
VOID __regargs			ConProcessData7(register STRPTR,register LONG);
VOID __regargs			ConProcessData8(register STRPTR,register LONG);
VOID __regargs			ConTransferHost(STRPTR,LONG);
VOID __regargs			ConProcess(STRPTR,LONG);
VOID __stdargs			ConWrites(STRPTR,...);
BYTE __regargs			DoBackspace(VOID);
BYTE __regargs			DoBeep(VOID);
BYTE __regargs			DoxON(VOID);
BYTE __regargs			DoLF(VOID);
BYTE __regargs			DoShiftIn(VOID);
BYTE __regargs			DoShiftOut(VOID);
BYTE __regargs			DoCR_LF(VOID);
BYTE __regargs			DoFF(VOID);
BYTE __regargs			DoLF_FF_VT(VOID);
BYTE __regargs			DoCR(VOID);
BYTE __regargs			DoTab(VOID);
BYTE __regargs			DoEnq(VOID);
BYTE __regargs			DoEsc(VOID);
BYTE __regargs			DoCsi(VOID);
BYTE __regargs			DoNewEsc(UBYTE);
BYTE __regargs			DoNewCsi(UBYTE);

	/* termCRC.asm */

ULONG __asm			DoCRC(register __a0 APTR,register __d0 ULONG);

	/* termCrypt.c */

VOID				Encrypt(UBYTE *,WORD,UBYTE *,UBYTE *,WORD);
VOID				Decrypt(UBYTE *,WORD,UBYTE *,UBYTE *,WORD);

	/* termDebug.c */

VOID				DebugInit(VOID);
VOID				DebugExit(VOID);

	/* termDial.c */

BYTE				DialPanel(VOID);

	/* termEmulation.c */

BYTE __regargs			DoCancel(VOID);
VOID				CSIFake(VOID);
BYTE __regargs			ParseCode(UBYTE);
VOID __regargs			ClipBlitCursor(UBYTE,UBYTE);
VOID				ClearCursor(VOID);
VOID				DrawCursor(VOID);
VOID				BackupRender(VOID);
VOID __regargs			ShiftChar(LONG);
VOID				Ignore(VOID);
VOID __regargs			ScrollDown(STRPTR);
VOID __regargs			ScrollUp(STRPTR);
VOID				CursorScrollDown(VOID);
VOID				DownLine(VOID);
VOID				CursorScrollUp(VOID);
VOID				NextLine(VOID);
VOID				SaveCursor(VOID);
VOID __regargs			FontStuff(STRPTR);
VOID				LoadCursor(VOID);
VOID __regargs			ScaleFont(STRPTR);
VOID				AlignmentTest(VOID);
VOID				SetTab(VOID);
VOID __regargs			RequestTerminal(STRPTR);
VOID				SoftReset(VOID);
VOID				Reset(VOID);
VOID __regargs			PrinterController(STRPTR);
VOID __regargs			RequestInformation(STRPTR);
VOID __regargs			SetSomething(STRPTR);
VOID __regargs			NumericAppMode(STRPTR);
VOID __regargs			MoveCursor(STRPTR);
VOID __regargs			EraseLine(STRPTR);
VOID __regargs			EraseScreen(STRPTR);
VOID __regargs			EraseCharacters(STRPTR);
VOID __regargs			InsertCharacters(STRPTR);
VOID __regargs			InsertLine(STRPTR);
VOID __regargs			ClearLine(STRPTR);
VOID __regargs			SetTabs(STRPTR);
VOID __regargs			SetAbsolutePosition(STRPTR);
VOID __regargs			SetAttributes(STRPTR);
VOID __regargs			SetRegion(STRPTR);
VOID				ResetCursor(VOID);

	/* termFastMacros.c */

VOID				RefreshFastWindow(WORD);
VOID				CloseFastWindow(VOID);
BYTE				OpenFastWindow(VOID);
struct MacroNode *		NewFastMacro(STRPTR,STRPTR);
VOID				RemFastMacro(struct MacroNode *);
struct MacroNode *		GetFastMacro(LONG);
VOID				ClearFastMacroList(struct List *);
LONG				GetFastMacroOffset(struct MacroNode *);
VOID __regargs			MoveList(struct List *,struct List *);
BYTE				SaveFastMacros(STRPTR);
BYTE				LoadFastMacros(STRPTR);

	/* termFileBuffer.c */

LONG __stdargs			BPrintf(struct Buffer *,STRPTR,...);
BYTE __regargs			BufferClose(struct Buffer *);
struct Buffer * __regargs	BufferOpen(STRPTR,STRPTR);
BYTE __regargs			BufferSeek(struct Buffer *,LONG,LONG);
LONG __regargs			BufferRead(struct Buffer *,STRPTR,LONG);
LONG __regargs			BufferWrite(struct Buffer *,STRPTR,LONG);

	/* termGadTools.c */

VOID				KeySelect(struct Gadget **,WORD,UBYTE,struct Window *,struct Gadget **,ULONG *,LONG *);
LONG				SZ_ResetMaxWidth(VOID);
VOID __regargs			SZ_UpdateMaxWidth(UBYTE,STRPTR,LONG,STRPTR *);
LONG				SZ_GetWindowWidth(VOID);
LONG				SZ_GetWindowHeight(VOID);
LONG				SZ_GetLeftEdge(VOID);
LONG				SZ_GetTopEdge(VOID);
VOID __regargs			SZ_SetTopEdge(LONG);
VOID __regargs			SZ_SetLeftEdge(LONG);
VOID __regargs			SZ_SetAbsoluteTop(LONG);
VOID __regargs			SZ_SetAbsoluteLeft(LONG);
VOID __regargs			SZ_SetWidth(LONG);
VOID				SZ_InitWidth(VOID);
VOID __regargs			SZ_GetDimension(LONG *,LONG *);
BYTE __regargs			SZ_GetChecked(struct Gadget *);
LONG __regargs			SZ_GetInteger(struct Gadget *);
STRPTR __regargs		SZ_GetString(struct Gadget *);
LONG __regargs			SZ_TextWidth(STRPTR);
VOID __regargs			SZ_AddLeftOffset(LONG);
LONG __stdargs			SZ_LeftOffsetN(LONG,...);
LONG __regargs			SZ_LeftOffsetDelta(LONG,LONG);
VOID				SZ_SizeCleanup(VOID);
BYTE __regargs			SZ_SizeSetup(struct Screen *,struct TextAttr *,BYTE);
ULONG __regargs			SZ_GetNumericLen(STRPTR String);
ULONG __regargs			SZ_GetGlyphLen(STRPTR String);
ULONG __regargs			SZ_GetLen(STRPTR String);
LONG __regargs			SZ_Height(UBYTE,LONG,BYTE);
LONG __regargs			SZ_Width(UBYTE,STRPTR,LONG,STRPTR *);
VOID __regargs			SZ_FreeBox(struct TextBox *);
VOID __regargs			SZ_FreeBoxes(struct TextBox *);
LONG __regargs			SZ_BoxWidth(LONG);
LONG __regargs			SZ_BoxHeight(LONG);
VOID __regargs			SZ_SetTitlePen(struct TextBox *Box,LONG,LONG);
struct TextBox * __stdargs	SZ_CreateTextBox(struct TextBox **,...);
VOID __stdargs			SZ_SetBoxTitles(struct TextBox *,STRPTR,...);
VOID __regargs			SZ_SetLine(struct RastPort *,struct TextBox *,LONG,STRPTR);
VOID __stdargs			SZ_PrintLine(struct RastPort *,struct TextBox *,LONG,STRPTR,...);
VOID __regargs			SZ_DrawBox(struct RastPort *,struct TextBox *);
VOID __regargs			SZ_DrawBoxes(struct RastPort *,struct TextBox *);
VOID __regargs			SZ_MoveBox(struct TextBox *,LONG,LONG);
VOID __regargs			SZ_MoveBoxes(struct TextBox *,LONG,LONG);
VOID __regargs			SZ_SetBox(struct TextBox *,LONG,LONG);
VOID __regargs			SZ_SetBoxes(struct TextBox *,LONG,LONG);
LONG __regargs			SZ_GetBoxInfo(struct TextBox *,LONG);

	/* termHotkeys.c */

VOID				ShutdownCx(VOID);
BYTE				SetupCx(VOID);
BYTE				LoadHotkeys(STRPTR,struct Hotkeys *);

	/* termIdentify.c */

VOID				Identify(STRPTR);

	/* termInfo.c */

BYTE				ShowInfo(BYTE);

	/* termInit.c */

VOID				ResetCursorKeys(struct CursorKeys *);
VOID				ScreenSizeStuff(VOID);
VOID				PubScreenStuff(VOID);
VOID				ConfigSetup(VOID);
BYTE				DisplayReset(VOID);
BYTE				DeleteDisplay(VOID);
STRPTR				CreateDisplay(BYTE);
VOID				CloseAll(BYTE);
STRPTR				OpenAll(STRPTR);

	/* termKludge.c */

BYTE				RefreshAllowed(VOID);
VOID				DeleteInputHandler(VOID);
BYTE				CreateInputHandler(VOID);

	/* termLists.c */

VOID __regargs			ClearGenericList(struct GenericList *);
VOID __regargs			DeleteGenericList(struct GenericList *);
struct GenericList *		CreateGenericList(VOID);
struct Node * __regargs		FirstGenericListNode(struct GenericList *);
struct Node * __regargs		LastGenericListNode(struct GenericList *);
struct Node * __regargs		NextGenericListNode(struct GenericList *);
struct Node * __regargs		PrevGenericListNode(struct GenericList *);
VOID __regargs			DeleteGenericListNode(struct GenericList *,struct Node *);
struct Node * __regargs		CreateGenericListNode(LONG,STRPTR);
VOID __regargs			AddGenericListNode(struct GenericList *,struct Node *,BYTE);
LONG __regargs			GenericListCount(struct GenericList *);

	/* termLocale.c */

VOID __regargs			LocaleOpen(STRPTR,STRPTR,LONG);
VOID				LocaleClose(VOID);
VOID				LanguageCheck(VOID);
WORD __regargs			GadToolsStrlen(STRPTR);
WORD __regargs			GadToolsLongestString(WORD,WORD);
STRPTR __regargs		LocaleSeconds(WORD);
STRPTR __regargs		SmallCurrency(VOID);
STRPTR __regargs		CreateSum(LONG,BYTE);
VOID __regargs			LocalizeString(STRPTR *,WORD,WORD);
VOID __regargs			LocalizeMenu(struct NewMenu *,WORD);
STRPTR __regargs		LocaleString(LONG);

	/* termMain.c */

VOID __saveds			HandleInput(VOID);
BYTE				HandleWindow(VOID);
VOID				HandleMenuCode(ULONG,ULONG);
VOID				HandleMenu(ULONG,ULONG);
VOID				HandleWorkbenchWindow(VOID);
VOID				HandleIconify(VOID);
VOID				HandleSerialReset(VOID);
VOID				HandleOnlineCleanup(VOID);
VOID				HandleFlowChange(VOID);
VOID				HandleSerialRelease(VOID);
VOID				HandleExternalEmulation(VOID);
VOID				HandleClipboard(VOID);
VOID				HandleSerialCheck(VOID);

	/* termMarker.c */

VOID				BM_Draw(struct BlockMarker *,VOID (*)(struct BlockMarker *,LONG,LONG,LONG,LONG));
VOID				BM_ClearMark(struct BlockMarker *);
struct BlockMarker *		BM_SetMark(APTR,VPTR,VPTR,LONG,LONG,LONG,LONG,LONG,LONG,LONG,LONG,WORD,WORD);
VOID				BM_ExtendMark(struct BlockMarker *,LONG,LONG,LONG);
VOID				ToggleSelect(struct BlockMarker *,LONG,LONG,LONG,LONG);
VOID __regargs			WriteTrimmedString(struct IFFHandle *,STRPTR,LONG);
LONG __regargs			TrimLength(STRPTR,LONG);

VOID				MarkWord(LONG MouseX,LONG MouseY);
VOID				SetMarker(LONG,LONG);
VOID				MoveMarker(LONG,LONG);
VOID				DropMarker(VOID);
VOID				FreeMarker(VOID);
VOID				ClipMarker(VOID);

	/* termMisc.asm */

VOID __stdargs			SPrintf(STRPTR,STRPTR,...);
VOID __stdargs			VSPrintf(STRPTR,STRPTR,va_list);
LONG __asm			Atol(register __a0 STRPTR);

	/* termOldConfig.c */

BYTE				ReadOldConfig(STRPTR,struct Configuration *);
BYTE				LoadOldPhonebook(STRPTR);

	/* termPacket.c */

VOID				ClearPacketHistory(VOID);
VOID				DeletePacketWindow(BYTE);
VOID				AddPacketHistory(STRPTR);
BYTE				CreatePacketWindow(VOID);
ULONG __asm __saveds		PacketKey(register __a0 struct Hook *,register __a1 ULONG *,register __a2 struct SGWork *);
BYTE				HandlePacket(VOID);

	/* termPhone.c */

VOID				RemoveDialEntry(LONG);
VOID				RemoveDialNode(struct PhoneNode *);
VOID				SortToList(struct PhoneNode *);
VOID				FreeDialList(BYTE);
struct List *			CreatePhoneList(VOID);
VOID				DeletePhoneList(struct List *);
VOID				SortPhoneEntries(VOID);
VOID __regargs			FreeTimeDateNode(struct TimeDateNode *);
VOID				FreeTimeDateList(struct List *);
VOID				CopyTimeDateList(struct List *,struct List *,BYTE);
VOID				AdaptTimeDateNode(struct TimeDateNode *);
VOID				SortTimeTable(struct TimeDateNode *);
struct List *			BuildTimeList(struct TimeDateNode *);
BYTE				ResizeTimeDateNode(struct TimeDateNode *,LONG,UBYTE);
BYTE				DeleteTimeDateNode(struct TimeDateNode *,LONG);
struct TimeDateNode *		CreateTimeDateNode(BYTE,BYTE,STRPTR,LONG);
VOID				RemPhoneEntry(LONG);
BYTE				NewPhoneEntry(VOID);
struct PhoneEntry **		CreatePhonebook(LONG,LONG *,BYTE);
VOID				DeletePhonebook(struct PhoneEntry **,LONG,BYTE);

	/* termPrint.c */

BYTE				PrintText(BPTR,struct Window *,LONG *,STRPTR,...);
BYTE				PrintFileInformation(BPTR,struct Window *,LONG *,STRPTR,ULONG);
BYTE				PrintEntry(BPTR,struct Window *,BYTE,LONG *,struct PhoneEntry *,ULONG);
BYTE				PrintScreen(BPTR,struct Window *,LONG *);
BYTE				PrintClip(BPTR,struct Window *,LONG *);
BYTE				PrintBuffer(BPTR,struct Window *,LONG *);
VOID				PrintSomething(BYTE);
VOID				PrintRegion(WORD,WORD);

	/* termRaster.c */

VOID				DeleteRaster(VOID);
BYTE				CreateRaster(VOID);
VOID __regargs			RasterEraseScreen(BYTE);
VOID __regargs			RasterEraseLine(BYTE);
VOID __regargs			RasterEraseCharacters(WORD);
VOID __regargs			RasterClearLine(WORD,WORD);
VOID __regargs			RasterInsertLine(WORD,WORD);
VOID __regargs			RasterScrollRegion(WORD,WORD,WORD,WORD);
VOID __regargs			RasterShiftChar(WORD);
VOID __regargs			RasterPutString(STRPTR,WORD);

	/* termResponse.c */

VOID				HandleResponse(VOID);

	/* termReviewBuffer.c */

VOID				DeleteReview(VOID);
BYTE				CreateReview(VOID);
VOID				MoveReview(BYTE);
VOID				UpdateReview(BYTE);
BYTE				HandleReview(VOID);

	/* termSaveWindow.c */

BYTE				SaveWindow(STRPTR,struct Window *);

	/* termScale.c */

VOID				DeleteScale(VOID);
BYTE				CreateScale(VOID);
VOID __regargs			PrintScaled(STRPTR,LONG,UBYTE);

	/* termScroll.c */

VOID __regargs			ScrollLineRectFill(struct RastPort *,WORD,WORD,WORD,WORD);
VOID __regargs			ScrollLineRaster(struct RastPort *,WORD,WORD,WORD,WORD,WORD,WORD,BYTE);
VOID __regargs			ScrollLineEraseScreen(BYTE);
VOID __regargs			ScrollLineEraseLine(BYTE);
VOID __regargs			ScrollLineEraseCharacters(WORD);
VOID __regargs			ScrollLineShiftChar(WORD);
VOID __regargs			ScrollLinePutString(WORD);

	/* termSerial.c */

VOID __regargs			SetFlags(struct IOExtSer *);
VOID __regargs			GetFlags(struct Configuration *,struct IOExtSer *);
VOID __regargs			SerialCommand(STRPTR);
VOID __regargs			SerWrite(APTR,LONG);
VOID				ClearSerial(VOID);
BYTE				DropDTR(VOID);
VOID				DeleteSerial(VOID);
STRPTR				GetSerialError(LONG,BYTE *);
STRPTR				CreateSerial(VOID);
BYTE				ReconfigureSerial(struct Window *,struct SerialSettings *);
VOID				ReopenSerial(VOID);
BYTE				HandleSerial(VOID);

	/* termSpeech.c */

VOID				DeleteSpeech(VOID);
BYTE				CreateSpeech(VOID);
VOID				Say(STRPTR,...);
VOID				SpeechSetup(VOID);

	/* termStatusDisplay.c */

VOID				DeleteStatusGadget(struct Gadget *Gadget);
struct Gadget *			CreateStatusGadget(LONG Width,LONG ID);
VOID __saveds			StatusServer(VOID);

	/* termStatusWindow.c */

VOID				RefreshInfoWindow(VOID);
VOID				CloseInfoWindow(VOID);
VOID				OpenInfoWindow(VOID);

	/* termStringHook.c */

ULONG __saveds			CommandKey(struct Hook *,struct SGWork *,ULONG *);
ULONG __saveds			PasswordKey(struct Hook *,struct SGWork *,ULONG *);

	/* termStrings.c */

ULONG				GetStringCRC(VOID);

	/* termTextBuffer.c */

BYTE				LaunchBuffer(VOID);
VOID				TerminateBuffer(VOID);
VOID __saveds			BufferServer(VOID);

	/* termTransfer.c */

VOID				FreeFileTransferInfo(struct FileTransferInfo *);
struct FileTransferInfo *	AllocFileTransferInfo(VOID);
BYTE				AddFileTransferNode(struct FileTransferInfo *,STRPTR,ULONG);
VOID				SortFileTransferInfo(struct FileTransferInfo *);
struct FileTransferInfo *	BuildFileTransferInfo(struct FileRequester *);
VOID				SendTextFile(STRPTR);
VOID				StartXprReceive(BYTE,STRPTR,BYTE);
BYTE				StartXprSendFromList(BYTE,BYTE);
BYTE				StartXprSend(BYTE,BYTE);
BYTE				ASCIISetup(VOID);
VOID				ASCIIShutdown(VOID);
BYTE				ProtocolSetup(VOID);
VOID				SaveProtocolOpts(VOID);
BYTE				SelectProtocol(STRPTR,struct Window *);
VOID				TransferCleanup(VOID);
VOID __regargs			RemoveUploadListItem(STRPTR);

	/* termTranslate.c */

VOID __regargs			TranslateSetup(struct TranslationHandle *,STRPTR,LONG,STRPTR,LONG,struct TranslationEntry **);
LONG __regargs			TranslateBuffer(struct TranslationHandle *);
UBYTE __regargs			NameToCode(STRPTR);
STRPTR __regargs		CodeToName(UBYTE);
VOID				FreeTranslationTable(struct TranslationEntry **);
struct TranslationEntry **	AllocTranslationTable(VOID);
VOID				FreeTranslationEntry(struct TranslationEntry *);
struct TranslationEntry *	AllocTranslationEntry(STRPTR);
BYTE				FillTranslationTable(struct TranslationEntry **);
BYTE __regargs			IsStandardTable(struct TranslationEntry **);
VOID				TranslateBack(STRPTR,LONG,STRPTR);
BYTE				SaveTranslationTables(STRPTR,struct TranslationEntry **,struct TranslationEntry **);
BYTE				LoadTranslationTables(STRPTR,struct TranslationEntry **,struct TranslationEntry **);

	/* termXEM.c */

LONG __asm __saveds		xem_swrite(register __a0 STRPTR,register __d0 LONG);
LONG __asm __saveds		xem_sbreak(VOID);
VOID __asm __saveds		xem_sstart(VOID);
LONG __asm __saveds		xem_sstop(VOID);
LONG __asm __saveds		xem_tgets(register __a0 STRPTR,register __a1 STRPTR,register __d0 ULONG);
VOID __asm __saveds		xem_tbeep(register __d0 ULONG,register __d1 ULONG);
LONG __asm __saveds		xem_macrodispatch(register __a0 struct XEmulatorMacroKey *);
BYTE				SetEmulatorOptions(BYTE);
VOID				CloseEmulator(VOID);
BYTE				OpenEmulator(STRPTR);
VOID				SetupXEM_MacroKeys(struct MacroKeys *);

	/* termXPR.c */

LONG __asm __saveds		xpr_fopen(register __a0 STRPTR,register __a1 STRPTR);
LONG __asm __saveds		xpr_fclose(register __a0 struct Buffer *);
LONG __asm __saveds		xpr_fread(register __a0 APTR,register __d0 LONG,register __d1 LONG,register __a1 struct Buffer *);
LONG __asm __saveds		xpr_fwrite(register __a0 APTR,register __d0 LONG,register __d1 LONG,register __a1 struct Buffer *);
LONG __asm __saveds		xpr_fseek(register __a0 struct Buffer *,register __d0 LONG,register __d1 LONG);
LONG __asm __saveds		xpr_sread(register __a0 APTR,register __d0 LONG,register __d1 ULONG);
LONG __asm __saveds		xpr_swrite(register __a0 APTR,register __d0 LONG);
LONG __asm __saveds		xpr_sflush(VOID);
LONG __asm __saveds		xpr_update(register __a0 struct XPR_UPDATE *);
LONG __asm __saveds		xpr_chkabort(VOID);
struct Gadget *			CreateAllGetsGadgets(BYTE,BYTE,WORD,STRPTR,STRPTR,struct Gadget **,struct Gadget **,APTR,struct Screen *);
LONG __asm __saveds		xpr_gets(register __a0 STRPTR,register __a1 STRPTR);
LONG __asm __saveds		xpr_setserial(register __d0 LONG);
LONG __asm __saveds		xpr_ffirst(register __a0 STRPTR,register __a1 STRPTR);
LONG __asm __saveds		xpr_fnext(register __d0 LONG,register __a0 STRPTR,register __a1 STRPTR);
LONG __asm __saveds		xpr_finfo(register __a0 STRPTR,register __d0 LONG);
ULONG __asm __saveds		xpr_options(register __d0 LONG,register __a0 struct xpr_option **);
LONG __asm __saveds		xpr_unlink(register __a0 STRPTR);
LONG __asm __saveds		xpr_squery(VOID);
LONG __asm __saveds		xpr_getptr(register __d0 LONG);
LONG __asm __saveds		xpr_stealopts(register __a0 STRPTR,register __a1 STRPTR);
